aboutsummaryrefslogtreecommitdiffstats
path: root/bluez-client.h
diff options
context:
space:
mode:
authorMatt Ranostay <matt.ranostay@konsulko.com>2017-05-14 17:16:30 -0700
committerMatt Ranostay <matt.ranostay@konsulko.com>2017-05-14 17:17:07 -0700
commiteee2eb78bd8c1f9d3daeef1ef496dbb6484b5124 (patch)
tree417c3c04a0d3fa2b0d9c82def5c7b9c3251a36ee /bluez-client.h
parentab372c543ed9783336fe2bc25a83f47991d1a055 (diff)
binding: bluetooth: fix typo of propertyies
Fix typo of propertyies that should be properties. Bug-AGL: SPEC-578 Change-Id: I9b312666db39808d03fec33c0029858917a14b37 Signed-off-by: Matt Ranostay <matt.ranostay@konsulko.com>
Diffstat (limited to 'bluez-client.h')
-rw-r--r--bluez-client.h2
1 files changed, 1 insertions, 1 deletions
diff --git a/bluez-client.h b/bluez-client.h
index 2ff50e6..64ee9ad 100644
--- a/bluez-client.h
+++ b/bluez-client.h
@@ -57,7 +57,7 @@ typedef struct tagBluez_RegisterCallback
{
void (*device_added)(struct bt_device *device);
void (*device_removed)(const gchar *path);
- void (*device_propertyies_changed)(const gchar *pObjecPath, const gchar *pInterface, GVariant *value);
+ void (*device_properties_changed)(const gchar *pObjecPath, const gchar *pInterface, GVariant *value);
}Bluez_RegisterCallback_t;
/* --- PUBLIC FUNCTIONS --- */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */ .highlight .kp { color: #008800 } /* Keyword.Pseudo */ .highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */ .highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */ .highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */ .highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */ .highlight .na { color: #336699 } /* Name.Attribute */ .highlight .nb { color: #003388 } /* Name.Builtin */ .highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */ .highlight .no { color: #003366; font-weight: bold } /* Name.Constant */ .highlight .nd { color: #555555 } /* Name.Decorator */ .highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */ .highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */ .highlight .nl { color: #336699; font-style: italic } /* Name.Label */ .highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */ .highlight .py { color: #336699; font-weight: bold } /* Name.Property */ .highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */ .highlight .nv { color: #336699 } /* Name.Variable */ .highlight .ow { color: #008800 } /* Operator.Word */ .highlight .w { color: #bbbbbb } /* Text.Whitespace */ .highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */ .highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */ .highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */ .highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */ .highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */ .highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */ .highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */ .highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */ .highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */ .highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */ .highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */ .highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */ .highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */ .highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */ .highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */ .highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */ .highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */ .highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */ .highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */ .highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */ .highlight .vc { color: #336699 } /* Name.Variable.Class */ .highlight .vg { color: #dd7700 } /* Name.Variable.Global */ .highlight .vi { color: #3333bb } /* Name.Variable.Instance */ .highlight .vm { color: #336699 } /* Name.Variable.Magic */ .highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */
#!/bin/bash

#set -x

REF_IMAGE="$1"

if [ -z "${REF_IMAGE}" ]; then
	echo "No reference image passed"
	exit 125
fi

if [ ! -f "${REF_IMAGE}" ]; then
	echo "Reference image is not found"
	exit 125
fi

# Enable the test picture and disable cursor and any other application from being displayed
sed -i '/^\[core\]/a activate-by-default=false' /etc/xdg/weston/weston.ini
# setup homescreen env variable
sed -i '/^\[core\]/a hide-cursor=true' /etc/xdg/weston/weston.ini
# enable red/green/blue test screen
echo 'HOMESCREEN_DEMO_CI=1' > /etc/afm/unit.env.d/screenshot
sync
systemctl daemon-reload
sleep 2
# restart weston@display
systemctl restart weston@display.service
# e.g. qemu-system-arm takes loooong
sleep 60
echo "Waiting for compositor to initialize (+60sec)."

if ! grep -q 'Usable area:' /run/platform/display/compositor.log ; then
# e.g. qemu-system-arm takes loooong
        echo "Waiting for compositor to initialize (+60sec)."
	sleep 60
fi
if ! grep -q 'Usable area:' /run/platform/display/compositor.log ; then
# e.g. qemu-system-arm takes loooong
        echo "Waiting for compositor to initialize (+120sec)."
	sleep 120
fi

if ! grep -q 'Usable area:' /run/platform/display/compositor.log ; then
	echo "Marker ('Usable area:') not found. Dumping log."
	echo "##################################"
	cat /run/platform/display/compositor.log
	echo "##################################"
        exit 127
	#echo "CONTINUING ANYWAY !"
fi

AGL_SCREENSHOOTER=/usr/bin/agl-screenshooter

if [ -z "$AGL_SCREENSHOOTER" ]; then
	echo "Failed to find agl-screenshooter. Compositor too old?"
	exit 127
fi

#echo "Found agl-screenshoooter in $AGL_SCREENSHOOTER"
rm -rf agl-screenshot-*.png

if $AGL_SCREENSHOOTER; then
	echo "Screenshot taken"
else
	echo "##################################"
	cat /run/platform/display/compositor.log
	echo "##################################"
	exit 127
fi

REF_IMAGE_SHA1SUM=`sha1sum ${REF_IMAGE} | awk -F ' ' '{print $1}'`
IMAGE_SHA1SUM=`sha1sum agl-screenshot-*.png | awk -F ' ' '{print $1}'`

if [ "${REF_IMAGE_SHA1SUM}" == "${IMAGE_SHA1SUM}" ]; then
	echo "Screenshot matches the reference image"
	FINALRET=0
else
	echo "Screenshot does not match the reference image"
	FINALRET=127
	for i in agl-screenshot-*.png ; do
		#set +x
		echo "################################################################"
		( curl --upload-file "$i" https://transfer.sh/$(basename "$i") && echo "" ) || true
		echo "################################################################"
		#set -x
	done
	echo "#########################"
	cat /run/platform/display/*.log
	echo "#########################"
	journalctl -b --no-pager -a
	echo "#########################"
fi


# cleanup
sed -i '/activate-by-default=false/d' /etc/xdg/weston/weston.ini
sed -i '/hide-cursor=true/d' /etc/xdg/weston/weston.ini
#rm -rf /etc/systemd/system/weston@.service.d
rm -rf /etc/afm/unit.env.d/screenshot
systemctl daemon-reload
sync
sleep 2
systemctl restart weston@display.service
sleep 10

exit $FINALRET